<?php

namespace B2buy\Order;

use DB;
use Illuminate\Database\Seeder;

class OrderProductTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('order_products')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'order.order_product.view',
                'name'      => 'View OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.create',
                'name'      => 'Create OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.edit',
                'name'      => 'Update OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.delete',
                'name'      => 'Delete OrderProduct',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'order.order_product.verify',
                'name'      => 'Verify OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.approve',
                'name'      => 'Approve OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.publish',
                'name'      => 'Publish OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.unpublish',
                'name'      => 'Unpublish OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.cancel',
                'name'      => 'Cancel OrderProduct',
            ],
            [
                'slug'      => 'order.order_product.archive',
                'name'      => 'Archive OrderProduct',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/order/order_product',
                'name'        => 'OrderProduct',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/order/order_product',
                'name'        => 'OrderProduct',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'order_product',
                'name'        => 'OrderProduct',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Order',
                'module'    => 'OrderProduct',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'order.order_product.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
