Lavalite package that provides order management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/order`.

    "b2buy/order": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Order\Providers\OrderServiceProvider::class,

And also add it to alias

    'Order'  => B2buy\Order\Facades\Order::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\OrderTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Order\Providers\OrderServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Order\Providers\OrderServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Order\Providers\OrderServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/order/{modulename}

**User**

    http://path-to-route-folder/user/order/{modulename}

**Public**

    http://path-to-route-folder/orders


### API endpoints

**List**

    http://path-to-route-folder/api/user/order/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/order/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/order/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/order/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/order/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/order/{modulename}/{slug}
    METHOD: GET