<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for order in order package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  order module in order package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Order',
    'names'         => 'Orders',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Orders',
        'sub'   => 'Orders',
        'list'  => 'List of orders',
        'edit'  => 'Edit order',
        'create'    => 'Create new order'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'payment_mode'        => ['Direct payment','Check payment','Cash on delivery'],
            'payment_status'      => ['Payed','Not Payed'],
            'status'              => ['Pending','Processing','Dispatched','Shipped','On The Way','Out for Delivery','Delivered'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'order_code'                 => 'Please enter order code',
        'seller_id'                  => 'Please enter seller id',
        'f_name'                     => 'Please enter f name',
        'l_name'                     => 'Please enter l name',
        'company_name'               => 'Please enter company name',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'sreet_address'              => 'Please enter sreet address',
        'apartment'                  => 'Please enter apartment',
        'zip_code'                   => 'Please enter zip code',
        'subtotal'                   => 'Please enter subtotal',
        'total'                      => 'Please enter total',
        'payment_mode'               => 'Please select payment mode',
        'payment_status'             => 'Please select payment status',
        'status'                     => 'Please select status',
        'user_type'                  => 'Please enter user type',
        'user_id'                    => 'Please enter user id',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'order_code'                 => 'Order code',
        'seller_id'                  => 'Seller id',
        'f_name'                     => 'F name',
        'l_name'                     => 'L name',
        'company_name'               => 'Company name',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'sreet_address'              => 'Sreet address',
        'apartment'                  => 'Apartment',
        'zip_code'                   => 'Zip code',
        'subtotal'                   => 'Subtotal',
        'total'                      => 'Total',
        'payment_mode'               => 'Payment mode',
        'payment_status'             => 'Payment status',
        'status'                     => 'Status',
        'user_type'                  => 'User type',
        'user_id'                    => 'User id',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'order_code'                 => ['name' => 'Order code', 'data-column' => 1, 'checked'],
        'seller_id'                  => ['name' => 'Seller id', 'data-column' => 2, 'checked'],
        'f_name'                     => ['name' => 'F name', 'data-column' => 3, 'checked'],
        'l_name'                     => ['name' => 'L name', 'data-column' => 4, 'checked'],
        'company_name'               => ['name' => 'Company name', 'data-column' => 5, 'checked'],
        'country_id'                 => ['name' => 'Country id', 'data-column' => 6, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 7, 'checked'],
        'sreet_address'              => ['name' => 'Sreet address', 'data-column' => 8, 'checked'],
        'apartment'                  => ['name' => 'Apartment', 'data-column' => 9, 'checked'],
        'zip_code'                   => ['name' => 'Zip code', 'data-column' => 10, 'checked'],
        'subtotal'                   => ['name' => 'Subtotal', 'data-column' => 11, 'checked'],
        'total'                      => ['name' => 'Total', 'data-column' => 12, 'checked'],
        'payment_mode'               => ['name' => 'Payment mode', 'data-column' => 13, 'checked'],
        'payment_status'             => ['name' => 'Payment status', 'data-column' => 14, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Orders',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
