<?php

// API routes  for order
Route::prefix('{guard}/order')->group(function () {
    Route::get('order/form/{element}', 'OrderAPIController@form');
    Route::resource('order', 'OrderAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for orders
            Route::prefix('{guard}/order')->group(function () {
                Route::get('order/form/{element}', 'OrderAPIController@form');
                Route::apiResource('order', 'OrderAPIController');
            });
            // Public routes for orders
            Route::get('order/Order', 'OrderPublicController@getOrder');
        }
    );
}


// API routes  for order_product
Route::prefix('{guard}/order')->group(function () {
    Route::get('order_product/form/{element}', 'OrderProductAPIController@form');
    Route::resource('order_product', 'OrderProductAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for orders
            Route::prefix('{guard}/order')->group(function () {
                Route::get('order_product/form/{element}', 'OrderProductAPIController@form');
                Route::apiResource('order_product', 'OrderProductAPIController');
            });
            // Public routes for orders
            Route::get('order/OrderProduct', 'OrderProductPublicController@getOrderProduct');
        }
    );
}

