<?php

namespace B2buy\Order;

use User;

class Order
{
    /**
     * $order object.
     */
    protected $order;
    /**
     * $order_product object.
     */
    protected $order_product;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Order\Interfaces\OrderRepositoryInterface $order,
        \B2buy\Order\Interfaces\OrderProductRepositoryInterface $order_product)
    {
        $this->order = $order;
        $this->order_product = $order_product;
    }

    /**
     * Returns count of order.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.order.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->order->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\OrderUserCriteria());
        }

        $order = $this->order->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('order::' . $view, compact('order'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.order_product.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->order_product->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\OrderProductUserCriteria());
        }

        $order_product = $this->order_product->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('order::' . $view, compact('order_product'))->render();
    }
}
