<?php

namespace B2buy\Order\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Order policy
        'B2buy\Order\Models\Order' => \B2buy\Order\Policies\OrderPolicy::class,
// Bind OrderProduct policy
        'B2buy\Order\Models\OrderProduct' => \B2buy\Order\Policies\OrderProductPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
