<?php

namespace B2buy\Order\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OrderProductTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Order\Models\OrderProduct $order_product)
    {
        return [
            'id'                => $order_product->getRouteKey(),
            'key'               => [
                'public'    => $order_product->getPublicKey(),
                'route'     => $order_product->getRouteKey(),
            ], 
            'order_id'          => $order_product->order_id,
            'product_id'        => $order_product->product_id,
            'user_id'           => $order_product->user_id,
            'quantity'          => $order_product->quantity,
            'price'             => $order_product->price,
            'deleted_at'        => $order_product->deleted_at,
            'url'               => [
                'public'    => trans_url('order/'.$order_product->getPublicKey()),
                'user'      => guard_url('order/order_product/'.$order_product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$order_product->status),
            'created_at'        => format_date($order_product->created_at),
            'updated_at'        => format_date($order_product->updated_at),
        ];
    }
}