<?php

namespace B2buy\Order\Workflow;

use B2buy\Order\Models\OrderProduct;
use B2buy\Order\Notifications\OrderProductWorkflow as OrderProductNotifyer;
use Notification;

class OrderProductNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param OrderProduct $order_product
     *
     * @return void
     */
    public function complete(OrderProduct $order_product)
    {
        return Notification::send($order_product->user, new OrderProductNotifyer($order_product, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param OrderProduct $order_product
     *
     * @return void
     */
    public function verify(OrderProduct $order_product)
    {
        return Notification::send($order_product->user, new OrderProductNotifyer($order_product, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param OrderProduct $order_product
     *
     * @return void
     */
    public function approve(OrderProduct $order_product)
    {
        return Notification::send($order_product->user, new OrderProductNotifyer($order_product, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param OrderProduct $order_product
     *
     * @return void
     */
    public function publish(OrderProduct $order_product)
    {
        return Notification::send($order_product->user, new OrderProductNotifyer($order_product, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param OrderProduct $order_product
     *
     * @return void
     */
    public function archive(OrderProduct $order_product)
    {
        return Notification::send($order_product->user, new OrderProductNotifyer($order_product, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param OrderProduct $order_product
     *
     * @return void
     */
    public function unpublish(OrderProduct $order_product)
    {
        return Notification::send($order_product->user, new OrderProductNotifyer($order_product, 'unpublish'));;

    }
}
